(jde-project-file-version "1.0")
(jde-set-variables)
;;; prj.el --- Emacs JDE project settings
;; $Id: prj.el,v 1.5 2002/02/26 01:38:34 burton Exp $

;; Copyright (C) 1997-2000 Free Software Foundation, Inc.

;; Author: Kevin A. Burton (burton@openprivacy.org)
;; Maintainer: Kevin A. Burton (burton@openprivacy.org)
;; Location: http://relativity.yi.org
;; Keywords: 
;; Version: 1.0.0

;; This file is [not yet] part of GNU Emacs.

;; This program is free software; you can redistribute it and/or modify it under
;; the terms of the GNU General Public License as published by the Free Software
;; Foundation; either version 2 of the License, or any later version.
;;
;; This program is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
;; FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
;; details.
;;
;; You should have received a copy of the GNU General Public License along with
;; this program; if not, write to the Free Software Foundation, Inc., 59 Temple
;; Place - Suite 330, Boston, MA 02111-1307, USA.

;;; Commentary:

;; 

;; ==============================================================================
;; GLOBAL SETTINGS                                                   
;; ==============================================================================

;;(load-file "~/el/my-jde.el")

;; ==============================================================================
;; PROJECTS SPECIFIC SETTINGS                                                   
;; ==============================================================================

(setq jde-project-name "Panther")

(setq my-java-vm-args '("-Dtalon.project=sierra")) 
(setq my-java-application-args '("test"))

(setq jde-javadoc-gen-destination-directory (expand-file-name "~/tmp/javadoc/panther"))
;;(setq jde-build-use-make t)

(setq jde-make-program "~/bin/quick-jikes-build.sh /projects/panther/src/java")

;; RUN SETTINGS

(setq jde-run-application-class "org.apache.tools.ant.Main")

(setq jde-run-working-directory "/projects/panther/bin/distribution/panther-current")

(setq jde-run-option-vm-args '( "-Dlog4j.debug=true" "-Dlog4j.configuration=/projects/panther/src/config/log4j.config.xml"))
(setq jde-run-option-application-args '("-emacs" "-buildfile" "/projects/panther/build/build.xml" "test"))

;; DEBUG SETTINGS

(setq jde-db-option-vm-args jde-run-option-vm-args)
(setq jde-db-option-application-args jde-run-option-application-args)

;;      -Dtomcat.home=$TOMCAT_HOME org.apache.tools.ant.Main \
;;      -Dlog4j.debug=true \
;;      -emacs -file $TOMCAT_HOME/panther.xml startup 

(setq jde-guess-imports '( "talon.*" "talon.components.*" "talon.util.net.*" ))

(setq jde-ant-buildfile "/projects/panther/build/build.xml")

(setq cvs-cvsroot "burton@www.openprivacy.org:/usr/local/cvs/public")
