/*
 *
 * BEGIN HEADER
 *
 * ---- 
 *
 * $ID: PantherProxy.java,v 1.6 2001/06/12 20:58:43 burton Exp $
 * $Project: http://panther.openprivacy.org $
 * $CVSROOT: :pserver:anoncvs@sierra.openprivacy.org:/usr/local/cvs/public $
 * $WebCVS: http://www.openprivacy.org/cgi-bin/cvsweb/cvsweb.cgi/panther/ $
 * $Mailing-List: http://www.openprivacy.org/lists/ $
 * $Bugzilla: http://bugzilla.openprivacy.org/ $
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * ---- 
 *
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 *
 * END HEADER
 * 
 */

package org.openprivacy.panther.tests;

import java.io.*;
import java.net.*;
import java.util.*;


//talon stuff
import talon.util.net.*;

//arrowhead stuff
import org.arrowhead.testlet.*;

import org.xml.sax.*;
import org.xml.sax.helpers.*;

import org.openprivacy.panther.components.*;
import org.openprivacy.panther.implementations.*;
import org.openprivacy.panther.util.*;
import org.openprivacy.panther.implementations.xml.*;

import talon.*;

/**

 *
 * @author <a href="mailto:burton@relativity.yi.org">Kevin A. Burton</a>
 * @version $Id: Test1.java,v 1.7 2001/07/25 02:47:58 burton Exp $
 */
public class Test1 extends BaseTest {

    private static final String PARSER = "org.apache.xerces.parsers.SAXParser";

    public void initialize( TestletContext context ) throws Exception {

        //startup SAX so that I can get the cached item in question

        //new FetchHandler( "http://www.slashdot.org/slashdot.rdf" );

        //new UpdateHandler( "http://www.slashdot.org/slashdot.rdf" );
        
        //        new FetchHandler( "http://www.slashdot.org/slashdot.rdf" );

        //get the PantherProxy

//          Proxy proxy = (Proxy)ComponentFactory.getInstance( PantherProxy.class );

//          String test_url = "http://p.moreover.com/cgi-local/page?o=rss&c=Java news";

        //String test_url = "http://p.moreover.com/cgi-local/page?o=rss&c=Linux%20news";

        //String test_url = "http://relativity.yi.org/rss/index.rss";
        
//          InputStream is = proxy.get( test_url ).getInputStream();

        //now try to parse out the XML... 

        
        //;;XMLReader xmlr = XMLReaderFactory.createXMLReader( PantherResources.PARSER );

        //System.out.println( " FIXME: ( debug ): parsing XML... " );
        
        //xmlr.parse( new InputSource( is ) );


        //fetch again and see it I can get if from memory...
        //proxy.fetch( test_url );

        new UpdateHandler( "http://www.slashdot.org/slashdot.rdf" );
        
    }

}
