/*
 *
 * BEGIN HEADER
 *
 * ---- 
 *
 * $ID: PantherProxy.java,v 1.6 2001/06/12 20:58:43 burton Exp $
 * $Project: http://panther.openprivacy.org $
 * $CVSROOT: :pserver:anoncvs@sierra.openprivacy.org:/usr/local/cvs/public $
 * $WebCVS: http://www.openprivacy.org/cgi-bin/cvsweb/cvsweb.cgi/panther/ $
 * $Mailing-List: http://www.openprivacy.org/lists/ $
 * $Bugzilla: http://bugzilla.openprivacy.org/ $
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * ---- 
 *
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 *
 * END HEADER
 * 
 */

package org.openprivacy.panther.tests;

import java.io.*;
import java.net.*;
import java.util.*;


//talon stuff
import talon.resources.*;
import talon.util.net.*;

//arrowhead stuff
import org.arrowhead.testlet.*;

import org.openprivacy.panther.event.*;
import org.openprivacy.panther.components.*;
import org.openprivacy.panther.factories.*;
import org.openprivacy.panther.implementations.*;

/**

 *
 * @author <a href="mailto:burton@relativity.yi.org">Kevin A. Burton</a>
 * @version $Id: Test5.java,v 1.1 2001/08/09 23:55:31 burton Exp $
 */
public class Test5 extends BaseTest {

    /**
     * This class implements a test for EventListeners...
     *
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     * @version $Id: Test5.java,v 1.1 2001/08/09 23:55:31 burton Exp $
     */
    public void initialize( TestletContext context ) throws Exception {

        ProxyEventManager pem = ProxyEventManager.getInstance();
        
        pem.addProxyEventListener( new TestProxyEventListener() );

        pem.fireUpdated( null );
        
    }
    
}


class TestProxyEventListener implements ProxyEventListener {

    public void updated( ProxyEvent event ) {

        System.out.println( " FIXME: (debug): GOT UPDATED... " );

    }
    
}
